Bug 709241 - failure when listing repos after channel removal
failure when listing repos after channel removal
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Michael Mráka
Pavel Studeník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 03:22 EDT by Jan Hutař
Modified: 2012-02-21 01:18 EST (History)
3 users (show)

See Also:
Fixed In Version: yum-rhn-plugin-0.5.4-25.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 01:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2011-05-31 03:22:48 EDT
Description of problem:
When yum knew about some (RHN) channel before and then I removed that channel from it's (RHN) profile, `yum repolist` fails on that system even after `yum clean all`.


Version-Release number of selected component (if applicable):
yum-3.2.22-33.el5
yum-rhn-plugin-0.5.4-20.el5


How reproducible:
always


Steps to Reproduce:
1. # yum repolist / upgrade /...
2. Remove one channel from RHN profile
3. # yum clean all
4. # yum repolist


Actual results:
# yum repolist
Loaded plugins: rhnplugin, security
file://var/cache/yum/redhat-rhn-satellite-5.3-server-x86_64-5/repodata/repomd.xml: [Errno 5] OSError: [Errno 2] No such file or directory: '/cache/yum/redhat-rhn-satellite-5.3-server-x86_64-5/repodata/repomd.xml'
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: redhat-rhn-satellite-5.3-server-x86_64-5. Please verify its path and try again


Expected results:
This should work without need to run `rm -rf /var/cache/yum/*`.


Additional info:
This looks to be related: bug 684342, bug 705335 and bug 703169.
Comment 1 Miroslav Suchý 2011-06-01 10:47:55 EDT
I can confirm it. And I'm able to reproduce it.
Comment 2 Miroslav Suchý 2011-06-01 11:00:41 EDT
Hmm subsequent run of yum repolist, succeed. I suppose that /var/cache/yum/rhnplugin.repos will be in fault...
Comment 3 RHEL Product and Program Management 2011-06-21 01:32:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 5 Michael Mráka 2011-10-06 05:56:46 EDT
The issue has been addressed as a part of bug 734965 and bug 735282.
Comment 8 errata-xmlrpc 2012-02-21 01:18:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0162.html

Note You need to log in before you can comment on or make changes to this bug.